xschem(1)

print [@

NAME
xschem - schematic capture and netlisting EDA tool

SYNPOSIS

xschem [options] [inputfile]

DECSRIPTION
Xschem is a schematic capture program, it allows creation of hierarchical representation of circuits with a top down approach.

OPTIONS

-h, --help
    Print help and exit.

-b, --detach
    Detach xschem from console (no output and no input from console)

-n, --netlist
    Do a netlist of the given schematic cell.

-v, --version
    Print version information and exit.

-V, --vhdl
    Set netlist type to VHDL.

-S, --simulate
    Run a simulation of the current schematc file (spice/Verilog/VHDL, depending on the netlist type chosen).

-w, --verilog
    Set netlist type to Verilog.

--tcl <tcl_script>
    Execute specified tcl instructions before any other action, this can be used to change xschemrc variables.

--preinit <file>
    Execute specified tcl instructions before any other action and before loading xschemrc.

--command <tcl_cmd>
    Execute specified tcl commands after completing startup.

--script <file>
    Execute specified tcl file as a command script (perhaps with xschem commands).

--command <tcl_cmd>
    Execute specified tcl commands after completing startup.

--diff <file>
    Show differences with given file.

--tcp-port <number>
    Listen to specified tcp port for client connections. (number >=1024).

-i, --no_rcload
    Do not load any xschemrc file.

-o, --netlist_path
    Set output for netlist.

-N, --netlist_filename
    Set name (only name or full path) of top level netlist file.

-t, --tedax
    Set netlist type to tEDAx.

-s, --spice
    Set netlist type to SPICE.

--spectre
    Set netlist type to SPECTRE.

-y, --symbol
    Set netlist type to symbol global property edit.

-x, --no_x
    Dont use X (only command mode).

-z, --rainbow
    Use a raibow-looking layer color table.

-W, --waves
    Show simulation waveforms.

-f, --flat_netlist
    Set flat netlist (for spice format only).

-r, --no_readline
    Start without the tclreadline package ( this is necessary if stdin and stdout are to be redirected for example to /dev/null).

--pipe
    if stdin and stdout are to be redirected. This also prevents xschem from closing stdin / stdout / stderr even if invoked from pipes.

-c, --color_ps
    Set color postscript.

--plotfile <file>
    Use <file> as output for plot export (png, svg, postscript/pdf)

--rcfile <file>
    Use <file> as a rc file for startup instead of the default xschemrc.

--lastclosed
    Open last closed file.

--lastopened
    Open last opened or saved file.

-p, --postscript, --pdf
    Export pdf schematic.

--png
    Export png schematic.

--svg
    Export svg schematic.

-q, --quit
    Quit after doing things (no interactive mode).

-l file, --log file
    Set a log file.

-d n, --debug n
    Set debug level: 1, 2, 3,...: C program debug, -1, -2, -3...: TCL frontend debug.

FILES

@/local/xschem/prefix@/share/xschem/xschemrc
    default configuration.

~/.xschem/xschemrc
    user configuration; if exists overrides settings from default configuration; may be partial: settings not overridden will remain as set from the system config.

./xschemrc
    local/per-project configuration; if exists overrides settings from the user configuration and default configuration.

@/local/xschem/prefix@/share/xschem/systemlib
    builtin essentials, such as font and missing symbol graphics.

@/local/xschem/prefix@/share/xschem/utile
    TODO.

@]